Bug 140296 - Edit Fields: context menu is missing inside of tables
Summary: Edit Fields: context menu is missing inside of tables
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: Ayhan Yalçınsoy
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: bibisected, bisected, difficultyBeginner, easyHack, regression, skillDesign, topicUI
Depends on:
Blocks: Context-Menu
  Show dependency treegraph
 
Reported: 2021-02-09 16:43 UTC by Frank Dutschke
Modified: 2021-05-07 09:11 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screen shot (22.91 KB, image/png)
2021-02-09 16:46 UTC, Frank Dutschke
Details
Screenshot with working feature context menu "Edit Fields" in Version 6.1.6.3 (98.13 KB, image/png)
2021-02-16 23:06 UTC, Frank Dutschke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Dutschke 2021-02-09 16:43:54 UTC
Description:
Right-clicking on a reference produces a context menu containing an item 'Edit fields'. Upon selecting it, you can update the reference.
If you try to use this function inside a table the context menu is missing.



Steps to Reproduce:
1. create a head line
2. create a table
3. create a referece to the headline inside the table
3. right click on the reference

Actual Results:
'Edit fields' in context menu is missing.

Expected Results:
'Edit fields' in context menu


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 7.0.4.2 (x64)
Build ID: dcf040e67528d9187c66b2379df5ea4407429775
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded

This faeture was in version 5.x and 6.x functional.
After the update to the version 7.x I had found this bug.
Comment 1 Frank Dutschke 2021-02-09 16:46:02 UTC
Created attachment 169626 [details]
Screen shot
Comment 2 Raji 2021-02-16 21:16:08 UTC
Hello Frank,

Thank you for reporting the bug. Can you please send a Screen shot of the feature that works in older version 6.x


I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 3 Frank Dutschke 2021-02-16 23:06:10 UTC
Created attachment 169795 [details]
Screenshot with working feature context menu "Edit Fields" in Version 6.1.6.3

On my PC Version 6.1.6.3 was installed. There the feature is working as expected.
Than I have checked the V6.4.7. In this version the bug is already there.

If you need me to check all versions in between please ask...
Comment 4 Raji 2021-02-17 11:12:45 UTC
Thank you Frank for reporting the bug. I can confirm the bug is present in both Master and Stable Build of LibreOffice Writer component in V6.4 and above.

Version: 6.4.7.2 (x64)
Build ID: 639b8ac485750d5696d7590a72ef1b496725cfb5
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 28555fc345ac2ccdda0e4e0f3c812c646befe68b
CPU threads: 8; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 5 Buovjaga 2021-02-26 13:09:05 UTC
Missing already in the oldest of 6.3 Linux bibisect repo
Comment 6 Aron Budea 2021-03-11 01:11:29 UTC
Bibisected to the following commit using repo bibisect-linux-64-6.2. Adding CC: to Andreas Kainz.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=567f6a0f0d24411969641e2e7bb87187854688a7
author		andreas kainz <kainz.a@gmail.com>	2018-10-23 17:30:20 +0200
committer	andreas_kainz <kainz.a@gmail.com>	2018-10-27 21:25:40 +0200

"tdf#119773 update sw table context bar"

Andreas, Heiko, would the fix simply be to add the following, now missing entry to the context menus again? (in the 4 places it was deleted from)
<menu:menuitem menu:id=".uno:FieldDialog"/>
Comment 7 Heiko Tietze 2021-03-16 09:51:13 UTC
(In reply to Aron Budea from comment #6)
> fix simply be to add ...
> <menu:menuitem menu:id=".uno:FieldDialog"/>

Seems so.
Comment 8 andreas_k 2021-05-01 20:38:04 UTC
(In reply to Heiko Tietze from comment #7)
> (In reply to Aron Budea from comment #6)
> > fix simply be to add ...
> > <menu:menuitem menu:id=".uno:FieldDialog"/>
> 
> Seems so.

sorry, please add it, it will be that simple, but if you need help, let me know and I submit the patch. I would add it after the insert comment item in the same section.
Comment 9 Commit Notification 2021-05-04 09:16:30 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1cf47d932580a58a7855fe29ac39d17cdd79ae01

tdf#140296: Added Edit Fields(context menu) inside of tables

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-05-06 02:09:46 UTC
Ayhan Yalçınsoy committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/386d95d25e82bbc54cbf99118abd00ae8a1eb2df

tdf#140296: Added Edit Fields(context menu) inside of tables

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Frank Dutschke 2021-05-07 08:33:13 UTC
I have installed and checked the version 7.1.4.
It works fine, thank you...